_ocsd_etmv3_excep Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_etmv3.h>`

## Public Attributes

ocsd_armv7_exception | type
uint16_t | number
struct {
uint32_t present:1
uint32_t cancel:1
uint32_t cm_type:1
uint32_t cm_resume:4
uint32_t cm_irq_n:9
} | bits

## Detailed Description

Definition at line 85 of file trc_pkt_types_etmv3.h.

## Member Data Documentation

##

struct { ... } _ocsd_etmv3_excep::bits

## cancel

uint32_t _ocsd_etmv3_excep::cancel

exception cancels prev instruction traced.

Definition at line 90 of file trc_pkt_types_etmv3.h.

## cm_irq_n

uint32_t _ocsd_etmv3_excep::cm_irq_n

M class IRQ n

Definition at line 93 of file trc_pkt_types_etmv3.h.

## cm_resume

uint32_t _ocsd_etmv3_excep::cm_resume

M class resume code

Definition at line 92 of file trc_pkt_types_etmv3.h.

## cm_type

uint32_t _ocsd_etmv3_excep::cm_type

Definition at line 91 of file trc_pkt_types_etmv3.h.

## number

uint16_t _ocsd_etmv3_excep::number

exception as number

Definition at line 87 of file trc_pkt_types_etmv3.h.

## present

uint32_t _ocsd_etmv3_excep::present

exception present in packet

Definition at line 89 of file trc_pkt_types_etmv3.h.

## type

ocsd_armv7_exception _ocsd_etmv3_excep::type

exception type.

Definition at line 86 of file trc_pkt_types_etmv3.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/opencsd/etmv3/trc_pkt_types_etmv3.h